using System;
using System.Net;

internal sealed class Delegate611 : MulticastDelegate
{
	public extern HttpListenerContext Invoke(object object_0, IAsyncResult iasyncResult_0);

	public static HttpListenerContext smethod_0(object object_0, IAsyncResult iasyncResult_0, Delegate611 delegate611_1)
	{
		return delegate611_1(object_0, iasyncResult_0);
	}

	public extern Delegate611(object object_0, IntPtr intptr_0);

	static Delegate611()
	{
		Class10.smethod_13(typeof(Delegate611).TypeHandle);
	}

	internal static Delegate611 delegate611_0;
}
